# QCA::KDFContext Class Reference
[QCA provider API]

Key derivation function provider. More...

`#include <QtCrypto>`

Inheritance diagram for QCA::KDFContext:

Collaboration diagram for QCA::KDFContext:

[legend]

List of all members.

## Public Member Functions

| KDFContext (Provider *p, const QString &type)
virtual SymmetricKey | makeKey (const SecureArray &secret, const InitializationVector &salt, unsigned int keyLength, unsigned int iterationCount)=0

## Detailed Description

Key derivation function provider.

Note:
  This class is part of the provider plugin interface and should not be used directly by applications. You probably want KeyDerivationFunction instead.

## Constructor & Destructor Documentation

QCA::KDFContext::KDFContext | ( | Provider * | p,
|  | const QString & | type |
| ) |  |  | `[inline]`

Standard constructor.

Parameters:

  | p | the provider associated with this context
  | type | the name of the KDF provided by this context (including algorithm)

## Member Function Documentation

virtual SymmetricKey QCA::KDFContext::makeKey | ( | const SecureArray & | secret,
|  | const InitializationVector & | salt,
|  | unsigned int | keyLength,
|  | unsigned int | iterationCount |
| ) |  |  | `[pure virtual]`

Create a key and return it.

Parameters:

  | secret | the secret part (typically password)
  | salt | the salt / initialization vector
  | keyLength | the length of the key to be produced
  | iterationCount | the number of iterations of the derivation algorith,

The documentation for this class was generated from the following file:

- qcaprovider.h